# Set verbose to print the detailed log 
#verbose=true

# testmode makes some several constraints not applied.
# if testmode is true, security and pluginsupport is disabled.
#testmode=false

# true if enabling security manager. The default value is false
#security=true

# false if disabling ngrinder usage report. it will send host ip and executed tests number to Goolge Analytics. 
# The default value is true
#usage.report=false


# true if the plugin is enabled. 
# This is not the option applied on the fly. You need to restart the controller.
#pluginsupport=true

# false if you want to make the user profile fields not mandatory.
# Default value is true.
#user.security=false

# the maximum number of agents which can be attached into one test.
#agent.max.size=10

# the maximum number of vusers which can be initiated per one agent 
#agent.max.vuser=2000


# the maximum runcount of test per one agent
#agent.max.runcount=10000

# the maximum running hour of one test.
#agent.max.runhour=8

# the listener port of monitor.
#monitor.listen.port=13243

# the starting port number of consoles which will be mapped to each test.
# This is not the option applied on the fly. You need to reboot to apply this.
#ngrinder.console.portbase=12000

# The count of allowed concurrent tests.
#ngrinder.max.concurrenttest=10

# How many milliseconds console will wait until all agents are connected.
#ngrinder.max.waitingmilliseconds=5000

# select the ip for controller to use.
#ngrinder.controller.ip=192.168.0.66
ngrinder.controller.ip=121.140.232.12

# To be compatible with old agents (before 3.1.1), please set following to true. 
# If you use the latest version agent, just set it false.
ngrinder.dist.logback=false

# From 3.1.1, nGrinder doesn't check the file distribution result to speed up the test execution.
# If your agent is located in the far places or you distribute big files everyday, you'd better to change this to true.
ngrinder.dist.safe=false




# If some region has the slow network, it may need the safe distribution by force
#ngrinder.dist.safe.region=

# Set the safe distribution threshold to enable safe distribution for specific transfer size by force.
# ngrinder.dist.safe.threshold=1000000

# You can point your own rss page on the ngrinder first page.
#ngrinder.frontpage.rss=http://www.cubrid.org/wiki_ngrinder/rss

# If you want to provide your own custom help page. please modify this
#ngrinder.help.url=http://www.cubrid.org/wiki_ngrinder/entry/user-guide

# language default en/kr/cn is available.
#ngrinder.langauge.default=en

# The monitor port is configurable. The default port is 13243.
#monitor.listen.port=13243

######################################################################################
# clustering configuration.
# This is not the option applied on the fly. You need to reboot to apply this.
######################################################################################
# These should be very carefully set. 
# You can refer http://www.cubrid.org/wiki_ngrinder/entry/controller-clustering-guide

# if you want to enable ngrinder controller clustering. please enable below. 
#ngrinder.cluster.mode = false

# cache cluster uri of all clustered controller servers.
# only the controller and agents in same region will work together.
#ngrinder.cluster.uris=192.168.1.1;192.168.2.2;192.168.3.3

# cache cluster listener port.
#ngrinder.cluster.listener.port=40003


# region setting of this controller.
# When running ngrinder as cluster mode, the ${NGRINDER_HOME} should be shared by multiple controllers.
# We expect this to be done by running ${NGRINDER_HOME} on NFS. 
# However this option is not to set here. Because each controller in cluster must have system-ex.conf 
# which should be stored in ${NGRINDER_EX_HOME} in the local so that each node cluster looks different value.  
# Please locate followings this on the ${NGRINDER_EX_HOME}(by default .ngrinder_ex)/system-ex.conf
# ngrinder.cluster.region=Beijing
